# Aarogya Seva
![Aarogya Seva Logo](https://github.com/shubhamhackz/aarogya_seva/blob/master/img/logo.png)

Made with 🔥 in India 😍

Aarogya Seva is an Indian app developed using flutter for tracking live Covid-19 cases. App provides Coronavirus self assessment without collecting any data.
The app has following features: 
- Live Covid-19 cases across India 
- Minimilistic UI and an elegant user experience
- Live news related to Corona Virus from newsapi.org
- Check your health condition with Self Assessement (For general Purpose)
- List of helpline numbers
- No data collection in any form (Secure) 🥳


![Aarogya Seva Screenshots](https://github.com/shubhamhackz/aarogya_seva/blob/master/img/banner_1.png)
![Aarogya Seva Screenshots](https://github.com/shubhamhackz/aarogya_seva/blob/master/img/banner_2.png)

# Setup 
- Register on [NewsApi.org](https://newsapi.org)
- Get APIKeys from [NewsApi.org](https://newsapi.org)
- Paste your APIKeys in constants/apikeys.dart
```
const String newsApiKey = 'YOUR_API_KEYS_HERE';
```

# TODO
- Update the Self Assessement algorithm to be more accurate 🤨
- Use isolates to make app more concurrent 
- Make app responsive for tablets
- Better way to handle network error/ no internet

# Resourses
- Inspired from [Dribble Design](https://dribbble.com/shots/11164123-Daily-UI-Challenge-043-100-Coronavirus-Mobile-App-Freebie) By Ankur Tripathi
- Splash Screen

# Contribution
- Anyone interested in contributing their precious time for the furthur development of this app are more than welcome 🙏🏻

# Plugin Used
- [feather_icons_flutter](https://pub.dev/packages/feather_icons_flutter)
- [smooth_page_indicator](https://pub.dev/packages/smooth_page_indicator)
- [flutter_svg](https://pub.dev/packages/flutter_svg)
- [fl_chart](https://pub.dev/packages/fl_chart)
- [http](https://pub.dev/packages/http)
- [shimmer](https://pub.dev/packages/shimmer)
- [intl](https://pub.dev/packages/intl)
- [webview_flutter](https://pub.dev/packages/webview_flutter)
- [lottie](https://pub.dev/packages/lottie#-readme-tab-)
- [delayed_display](https://pub.dev/packages/delayed_display)
- [shared_preferences](https://pub.dev/packages/delayed_display)

# Author 
- [Facebook](https://www.facebook.com/shubhamhackz)
- [Twitter](https://www.twitter.com/shubhamhackz)
- [Stackoverflow](https://stackoverflow.com)
- [Medium](https://www.medium.com)
- [Instagram](https://www.instagram.com/shubhamhackz)



